package Backpropagation;

import java.util.Vector;

//Stores data about parameters, the Netwrok which corresponds and the CV (average of validation_error)
public class CaseData {
	public int max_epoch_count = 1000;
	public double alpha = 0.15;
	public double mi = 0.5;
	public int k_fold = 10;
	public Vector<Integer> layer_sizes = new Vector<Integer>();
	public boolean sigmoid_tangent = false;
	
	public double cv;
	Backpropagation backprogagation;
	
	public void printParameters(){
		System.out.println("Alpha: " + ((Double)alpha).toString());
		System.out.println("Mi   : " + ((Double)mi).toString());
		System.out.println("ActFn: " + ((sigmoid_tangent)?"Tangent":"Sigmoid"));
		System.out.println("LayCo: " + ((Integer)layer_sizes.size()).toString());
		System.out.print("      ");
		for(int i=0; i<layer_sizes.size(); i++){
			System.out.print(" " + ((Integer)layer_sizes.get(i)));
		}
		System.out.println();
	}
	
	//Alpha Mi ActFn LayCo CV
	public void printLine(boolean end_line){
		Scout.log.print(((Double)alpha).toString() + " " + ((Double)mi).toString() + " " + ((sigmoid_tangent)?"Tangent":"Sigmoid") + " " + ((Integer)layer_sizes.size()).toString() + " ");

		for(int i=0; i<layer_sizes.size(); i++){
			if(i > 0)
				Scout.log.print(",");
			Scout.log.print(((Integer)layer_sizes.get(i)));
		}
		
		Scout.log.print(" " + ((Double)this.cv).toString());
		if(end_line){
			Scout.log.println();
		}
	}
	
	public void print(){
		this.printParameters();
		System.out.println("CV   : " + ((Double)this.cv).toString());
	}
}
