package Backpropagation;

import java.util.Vector;

//One layer of neurons
public class Layer extends Vector<Element> {
	private static final long serialVersionUID = 1L;
	
	public Layer(int dimension){
		super();
		this.setSize(dimension);
	}
	
	public Element getLast(){
		return this.get(this.size()-1);
	}
	
	public Layer(Layer other){
		this.setSize(other.size());
		for(int i=0; i < other.size() ; i++){
			this.set(i, new Element(other.get(i)));
		}
	}
}
